-- $Id: ParSortMain.hs,v 1.2 2013/03/31 20:53:49 leavens Exp $
-- compile with:
--    ghc -O2 ParSortMain.hs -threaded -rtsopts -eventlog
-- run with:
--    ./ParSortMain +RTS -N -s -ls
module Main where
import ParSort
import Control.Monad (forM_)
import System.IO

main = do putStrLn "starting tests..."
          fh <- openFile "wuthering_heights.txt" ReadMode
          book <- hGetContents fh
          let sorted = parSort (words book)
          forM_ sorted putStrLn
          putStrLn "... done with tests"
