-- $Id: ParSortTests.hs,v 1.2 2013/04/08 15:22:52 leavens Exp leavens $
module ParSortTests where
import ParSort
import Testing

main :: IO ()
main = dotests "ParSortTests $Revision: 1.2 $" tests

tests :: [TestCase String]
tests = 
    [eqTest (parSort "") "==" ""
    ,eqTest (parSort "defbac") "==" "abcdef"
    ,eqTest (parSort "The quick brown fox jumped over the lazy dogs.")
            "==" "        .Tabcddeeeefghhijklmnoooopqrrstuuvwxyz"
    ,eqTest (parSort "I sought, and soon discovered, the three headstones on the slope")
            "==" "          ,,Iaacddddeeeeeeeeeghhhhhilnnnnoooooooprrsssssstttttuv"
    ]
